findings
Get finding information by ID
GET
/
findings
/
{id}
Get finding information by ID
curl --request GET \
--url https://app.pentest-tools.com/api/v2/findings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.pentest-tools.com/api/v2/findings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.pentest-tools.com/api/v2/findings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 420233,
"name": "Vulnerabilities found for Apache Httpd 2.4.10",
"test_description": "Checking for SQL Injection...",
"test_finished": true,
"confirmed": true,
"epss_score": 123,
"epss_percentile": 123,
"in_cisa_catalog": true,
"cve": [
"CVE-2017-3167",
"CVE-2019-0217"
],
"cvss": 123,
"cvssv3": 123,
"vuln_description": "Vulnerabilities found for Apache Httpd 2.4.25 (port 80/tcp)",
"vuln_evidence": {
"data": {
"headers": [
"<string>"
],
"rows": [
[
"<string>"
]
]
}
},
"risk_description": "<string>",
"recommendation": "<string>",
"references": [
"<string>"
],
"verified": true,
"vuln_id": "NETSCAN-SNIPER-CVE-2021-42013-RCE",
"owasp": {
"owasp_2017": "<string>",
"owasp_2021": "<string>",
"owasp_2025": "<string>"
},
"cwe": "<string>",
"port": 32767,
"group_id": 9876,
"target_id": 12345,
"task_id": 54321,
"screenshots": 1
}
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}{
"status": 401,
"message": "No API key specified"
}Authorizations
Use the "API key" from the profile page as the token
Path Parameters
id of finding to get
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get finding information by ID
